Package org.eclipse.m2m.atl.core.ant.tasks.nested

# Class Library

java.lang.Object
org.eclipse.m2m.atl.core.ant.tasks.nested.Library

public class Library extends Object
Library nested element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`name`
`protected File`
`path`

## Constructor Summary

Constructors
Constructor
Description
`Library()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`File`
`getPath()`
`void`
`setName(String name)`
`void`
`setPath(File path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

protected String name

### path

protected File path

## Constructor Details

### Library

public Library()

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getPath

public File getPath()

### setPath

public void setPath(File path)